<?php
/**
 * @entity asp.UserSite
 */
abstract class UserSiteDAO extends SOY2DAO{
	
	abstract function insert(UserSite $bean);
	
	/**
	 * @return object
	 */
	abstract function getByUserId($userId);
	
	abstract function deleteByUserId($userId);
	
	abstract function deleteBySiteid($siteId);
    
}
?>